ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-3.0/configure
(Generate patch)

Comparing trunk/OOPSE-3.0/configure (file contents):
Revision 2314 by gezelter, Wed Jul 20 17:04:42 2005 UTC vs.
Revision 2315 by gezelter, Tue Sep 20 22:03:35 2005 UTC

# Line 879 | Line 879 | Optional Packages:
879   Optional Packages:
880    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
881    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
882 +  --with-zlib=DIR root directory path of zlib installation defaults to
883 +                    /usr/local or /usr if not found in /usr/local
884 +  --without-zlib to disable zlib usage completely
885    --with-perl-shebang     override what perl thinks is the way for the kernel
886                            to start it (seldom needed)
887    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
# Line 1891 | Line 1894 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1894  
1895  
1896  
1897 +
1898 +
1899   # set program name
1900   PROGNAME="oopse"
1901  
# Line 3550 | Line 3555 | F90FLAGS="$F90FLAGS $ac_verb"
3555   ac_save_F90FLAGS=$F90FLAGS
3556   F90FLAGS="$F90FLAGS $ac_verb"
3557  
3558 < (eval echo $as_me:3553: \"$ac_link\") >&5
3558 > (eval echo $as_me:3558: \"$ac_link\") >&5
3559   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3560   echo "$ac_f90_v_output" >&5
3561   F90FLAGS=$ac_save_F90FLAGS
# Line 3627 | Line 3632 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3632   ac_save_F90FLAGS=$F90FLAGS
3633   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3634  
3635 < (eval echo $as_me:3630: \"$ac_link\") >&5
3635 > (eval echo $as_me:3635: \"$ac_link\") >&5
3636   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3637   echo "$ac_f90_v_output" >&5
3638   F90FLAGS=$ac_save_F90FLAGS
# Line 4953 | Line 4958 | done
4958   done
4959  
4960  
4961 + #
4962 + # Handle user hints
4963 + #
4964 + echo "$as_me:$LINENO: checking if zlib is wanted" >&5
4965 + echo $ECHO_N "checking if zlib is wanted... $ECHO_C" >&6
4966  
4967 + # Check whether --with-zlib or --without-zlib was given.
4968 + if test "${with_zlib+set}" = set; then
4969 +  withval="$with_zlib"
4970 +  if test "$withval" != no ; then
4971 +  echo "$as_me:$LINENO: result: yes" >&5
4972 + echo "${ECHO_T}yes" >&6
4973 +  if test -d "$withval"
4974 +  then
4975 +    ZLIB_HOME="$withval"
4976 +  else
4977 +    { echo "$as_me:$LINENO: WARNING: Sorry, $withval does not exist, checking usual places" >&5
4978 + echo "$as_me: WARNING: Sorry, $withval does not exist, checking usual places" >&2;}
4979 +  fi
4980 + else
4981 +  echo "$as_me:$LINENO: result: no" >&5
4982 + echo "${ECHO_T}no" >&6
4983 + fi
4984 + fi;
4985 +
4986 + ZLIB_HOME=/usr/local
4987 + if test ! -f "${ZLIB_HOME}/include/zlib.h"
4988 + then
4989 +        ZLIB_HOME=/usr
4990 + fi
4991 +
4992 + #
4993 + # Locate zlib, if wanted
4994 + #
4995 + if test -n "${ZLIB_HOME}"
4996 + then
4997 +        ZLIB_OLD_LDFLAGS=$LDFLAGS
4998 +        ZLIB_OLD_CPPFLAGS=$LDFLAGS
4999 +        LDFLAGS="$LDFLAGS -L${ZLIB_HOME}/lib"
5000 +        CPPFLAGS="$CPPFLAGS -I${ZLIB_HOME}/include"
5001  
5002  
5003 +        ac_ext=c
5004 + ac_cpp='$CPP $CPPFLAGS'
5005 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5006 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5007 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
5008  
5009 +        echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
5010 + echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6
5011 + if test "${ac_cv_lib_z_inflateEnd+set}" = set; then
5012 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5013 + else
5014 +  ac_check_lib_save_LIBS=$LIBS
5015 + LIBS="-lz  $LIBS"
5016 + cat >conftest.$ac_ext <<_ACEOF
5017 + /* confdefs.h.  */
5018 + _ACEOF
5019 + cat confdefs.h >>conftest.$ac_ext
5020 + cat >>conftest.$ac_ext <<_ACEOF
5021 + /* end confdefs.h.  */
5022  
5023 + /* Override any gcc2 internal prototype to avoid an error.  */
5024 + #ifdef __cplusplus
5025 + extern "C"
5026 + #endif
5027 + /* We use char because int might match the return type of a gcc2
5028 +   builtin and then its argument prototype would still apply.  */
5029 + char inflateEnd ();
5030 + int
5031 + main ()
5032 + {
5033 + inflateEnd ();
5034 +  ;
5035 +  return 0;
5036 + }
5037 + _ACEOF
5038 + rm -f conftest.$ac_objext conftest$ac_exeext
5039 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5040 +  (eval $ac_link) 2>conftest.er1
5041 +  ac_status=$?
5042 +  grep -v '^ *+' conftest.er1 >conftest.err
5043 +  rm -f conftest.er1
5044 +  cat conftest.err >&5
5045 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5046 +  (exit $ac_status); } &&
5047 +         { ac_try='test -z "$ac_c_werror_flag"
5048 +                         || test ! -s conftest.err'
5049 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5050 +  (eval $ac_try) 2>&5
5051 +  ac_status=$?
5052 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5053 +  (exit $ac_status); }; } &&
5054 +         { ac_try='test -s conftest$ac_exeext'
5055 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5056 +  (eval $ac_try) 2>&5
5057 +  ac_status=$?
5058 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5059 +  (exit $ac_status); }; }; then
5060 +  ac_cv_lib_z_inflateEnd=yes
5061 + else
5062 +  echo "$as_me: failed program was:" >&5
5063 + sed 's/^/| /' conftest.$ac_ext >&5
5064  
5065 + ac_cv_lib_z_inflateEnd=no
5066 + fi
5067 + rm -f conftest.err conftest.$ac_objext \
5068 +      conftest$ac_exeext conftest.$ac_ext
5069 + LIBS=$ac_check_lib_save_LIBS
5070 + fi
5071 + echo "$as_me:$LINENO: result: $ac_cv_lib_z_inflateEnd" >&5
5072 + echo "${ECHO_T}$ac_cv_lib_z_inflateEnd" >&6
5073 + if test $ac_cv_lib_z_inflateEnd = yes; then
5074 +  zlib_cv_libz=yes
5075 + else
5076 +  zlib_cv_libz=no
5077 + fi
5078  
5079 +        if test "${ac_cv_header_zlib_h+set}" = set; then
5080 +  echo "$as_me:$LINENO: checking for zlib.h" >&5
5081 + echo $ECHO_N "checking for zlib.h... $ECHO_C" >&6
5082 + if test "${ac_cv_header_zlib_h+set}" = set; then
5083 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5084 + fi
5085 + echo "$as_me:$LINENO: result: $ac_cv_header_zlib_h" >&5
5086 + echo "${ECHO_T}$ac_cv_header_zlib_h" >&6
5087 + else
5088 +  # Is the header compilable?
5089 + echo "$as_me:$LINENO: checking zlib.h usability" >&5
5090 + echo $ECHO_N "checking zlib.h usability... $ECHO_C" >&6
5091 + cat >conftest.$ac_ext <<_ACEOF
5092 + /* confdefs.h.  */
5093 + _ACEOF
5094 + cat confdefs.h >>conftest.$ac_ext
5095 + cat >>conftest.$ac_ext <<_ACEOF
5096 + /* end confdefs.h.  */
5097 + $ac_includes_default
5098 + #include <zlib.h>
5099 + _ACEOF
5100 + rm -f conftest.$ac_objext
5101 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5102 +  (eval $ac_compile) 2>conftest.er1
5103 +  ac_status=$?
5104 +  grep -v '^ *+' conftest.er1 >conftest.err
5105 +  rm -f conftest.er1
5106 +  cat conftest.err >&5
5107 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5108 +  (exit $ac_status); } &&
5109 +         { ac_try='test -z "$ac_c_werror_flag"
5110 +                         || test ! -s conftest.err'
5111 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5112 +  (eval $ac_try) 2>&5
5113 +  ac_status=$?
5114 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5115 +  (exit $ac_status); }; } &&
5116 +         { ac_try='test -s conftest.$ac_objext'
5117 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5118 +  (eval $ac_try) 2>&5
5119 +  ac_status=$?
5120 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5121 +  (exit $ac_status); }; }; then
5122 +  ac_header_compiler=yes
5123 + else
5124 +  echo "$as_me: failed program was:" >&5
5125 + sed 's/^/| /' conftest.$ac_ext >&5
5126  
5127 + ac_header_compiler=no
5128 + fi
5129 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5130 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
5131 + echo "${ECHO_T}$ac_header_compiler" >&6
5132  
5133 + # Is the header present?
5134 + echo "$as_me:$LINENO: checking zlib.h presence" >&5
5135 + echo $ECHO_N "checking zlib.h presence... $ECHO_C" >&6
5136 + cat >conftest.$ac_ext <<_ACEOF
5137 + /* confdefs.h.  */
5138 + _ACEOF
5139 + cat confdefs.h >>conftest.$ac_ext
5140 + cat >>conftest.$ac_ext <<_ACEOF
5141 + /* end confdefs.h.  */
5142 + #include <zlib.h>
5143 + _ACEOF
5144 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5145 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5146 +  ac_status=$?
5147 +  grep -v '^ *+' conftest.er1 >conftest.err
5148 +  rm -f conftest.er1
5149 +  cat conftest.err >&5
5150 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5151 +  (exit $ac_status); } >/dev/null; then
5152 +  if test -s conftest.err; then
5153 +    ac_cpp_err=$ac_c_preproc_warn_flag
5154 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
5155 +  else
5156 +    ac_cpp_err=
5157 +  fi
5158 + else
5159 +  ac_cpp_err=yes
5160 + fi
5161 + if test -z "$ac_cpp_err"; then
5162 +  ac_header_preproc=yes
5163 + else
5164 +  echo "$as_me: failed program was:" >&5
5165 + sed 's/^/| /' conftest.$ac_ext >&5
5166 +
5167 +  ac_header_preproc=no
5168 + fi
5169 + rm -f conftest.err conftest.$ac_ext
5170 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
5171 + echo "${ECHO_T}$ac_header_preproc" >&6
5172 +
5173 + # So?  What about this header?
5174 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
5175 +  yes:no: )
5176 +    { echo "$as_me:$LINENO: WARNING: zlib.h: accepted by the compiler, rejected by the preprocessor!" >&5
5177 + echo "$as_me: WARNING: zlib.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
5178 +    { echo "$as_me:$LINENO: WARNING: zlib.h: proceeding with the compiler's result" >&5
5179 + echo "$as_me: WARNING: zlib.h: proceeding with the compiler's result" >&2;}
5180 +    ac_header_preproc=yes
5181 +    ;;
5182 +  no:yes:* )
5183 +    { echo "$as_me:$LINENO: WARNING: zlib.h: present but cannot be compiled" >&5
5184 + echo "$as_me: WARNING: zlib.h: present but cannot be compiled" >&2;}
5185 +    { echo "$as_me:$LINENO: WARNING: zlib.h:     check for missing prerequisite headers?" >&5
5186 + echo "$as_me: WARNING: zlib.h:     check for missing prerequisite headers?" >&2;}
5187 +    { echo "$as_me:$LINENO: WARNING: zlib.h: see the Autoconf documentation" >&5
5188 + echo "$as_me: WARNING: zlib.h: see the Autoconf documentation" >&2;}
5189 +    { echo "$as_me:$LINENO: WARNING: zlib.h:     section \"Present But Cannot Be Compiled\"" >&5
5190 + echo "$as_me: WARNING: zlib.h:     section \"Present But Cannot Be Compiled\"" >&2;}
5191 +    { echo "$as_me:$LINENO: WARNING: zlib.h: proceeding with the preprocessor's result" >&5
5192 + echo "$as_me: WARNING: zlib.h: proceeding with the preprocessor's result" >&2;}
5193 +    { echo "$as_me:$LINENO: WARNING: zlib.h: in the future, the compiler will take precedence" >&5
5194 + echo "$as_me: WARNING: zlib.h: in the future, the compiler will take precedence" >&2;}
5195 +    (
5196 +      cat <<\_ASBOX
5197 + ## ------------------------------ ##
5198 + ## Report this to gezelter@nd.edu ##
5199 + ## ------------------------------ ##
5200 + _ASBOX
5201 +    ) |
5202 +      sed "s/^/$as_me: WARNING:     /" >&2
5203 +    ;;
5204 + esac
5205 + echo "$as_me:$LINENO: checking for zlib.h" >&5
5206 + echo $ECHO_N "checking for zlib.h... $ECHO_C" >&6
5207 + if test "${ac_cv_header_zlib_h+set}" = set; then
5208 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5209 + else
5210 +  ac_cv_header_zlib_h=$ac_header_preproc
5211 + fi
5212 + echo "$as_me:$LINENO: result: $ac_cv_header_zlib_h" >&5
5213 + echo "${ECHO_T}$ac_cv_header_zlib_h" >&6
5214 +
5215 + fi
5216 + if test $ac_cv_header_zlib_h = yes; then
5217 +  zlib_cv_zlib_h=yes
5218 + else
5219 +  zlib_cv_zlib_h=no
5220 + fi
5221 +
5222 +
5223 +        ac_ext=c
5224 + ac_cpp='$CPP $CPPFLAGS'
5225 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5226 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5227 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
5228 +
5229 +        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"
5230 +        then
5231 +                #
5232 +                # If both library and header were found, use them
5233 +                #
5234 +
5235 + echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
5236 + echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6
5237 + if test "${ac_cv_lib_z_inflateEnd+set}" = set; then
5238 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5239 + else
5240 +  ac_check_lib_save_LIBS=$LIBS
5241 + LIBS="-lz  $LIBS"
5242 + cat >conftest.$ac_ext <<_ACEOF
5243 + /* confdefs.h.  */
5244 + _ACEOF
5245 + cat confdefs.h >>conftest.$ac_ext
5246 + cat >>conftest.$ac_ext <<_ACEOF
5247 + /* end confdefs.h.  */
5248 +
5249 + /* Override any gcc2 internal prototype to avoid an error.  */
5250 + #ifdef __cplusplus
5251 + extern "C"
5252 + #endif
5253 + /* We use char because int might match the return type of a gcc2
5254 +   builtin and then its argument prototype would still apply.  */
5255 + char inflateEnd ();
5256 + int
5257 + main ()
5258 + {
5259 + inflateEnd ();
5260 +  ;
5261 +  return 0;
5262 + }
5263 + _ACEOF
5264 + rm -f conftest.$ac_objext conftest$ac_exeext
5265 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5266 +  (eval $ac_link) 2>conftest.er1
5267 +  ac_status=$?
5268 +  grep -v '^ *+' conftest.er1 >conftest.err
5269 +  rm -f conftest.er1
5270 +  cat conftest.err >&5
5271 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5272 +  (exit $ac_status); } &&
5273 +         { ac_try='test -z "$ac_c_werror_flag"
5274 +                         || test ! -s conftest.err'
5275 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5276 +  (eval $ac_try) 2>&5
5277 +  ac_status=$?
5278 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5279 +  (exit $ac_status); }; } &&
5280 +         { ac_try='test -s conftest$ac_exeext'
5281 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5282 +  (eval $ac_try) 2>&5
5283 +  ac_status=$?
5284 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5285 +  (exit $ac_status); }; }; then
5286 +  ac_cv_lib_z_inflateEnd=yes
5287 + else
5288 +  echo "$as_me: failed program was:" >&5
5289 + sed 's/^/| /' conftest.$ac_ext >&5
5290 +
5291 + ac_cv_lib_z_inflateEnd=no
5292 + fi
5293 + rm -f conftest.err conftest.$ac_objext \
5294 +      conftest$ac_exeext conftest.$ac_ext
5295 + LIBS=$ac_check_lib_save_LIBS
5296 + fi
5297 + echo "$as_me:$LINENO: result: $ac_cv_lib_z_inflateEnd" >&5
5298 + echo "${ECHO_T}$ac_cv_lib_z_inflateEnd" >&6
5299 + if test $ac_cv_lib_z_inflateEnd = yes; then
5300 +  cat >>confdefs.h <<_ACEOF
5301 + #define HAVE_LIBZ 1
5302 + _ACEOF
5303 +
5304 +  LIBS="-lz $LIBS"
5305 +
5306 + fi
5307 +
5308 +                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
5309 + echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
5310 +                echo "$as_me:$LINENO: result: ok" >&5
5311 + echo "${ECHO_T}ok" >&6
5312 +        else
5313 +                #
5314 +                # If either header or library was not found, revert and bomb
5315 +                #
5316 +                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
5317 + echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
5318 +                LDFLAGS="$ZLIB_OLD_LDFLAGS"
5319 +                CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
5320 +                echo "$as_me:$LINENO: result: failed" >&5
5321 + echo "${ECHO_T}failed" >&6
5322 +                { { echo "$as_me:$LINENO: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&5
5323 + echo "$as_me: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&2;}
5324 +   { (exit 1); exit 1; }; }
5325 +        fi
5326 + fi
5327 +
5328 +
5329 +
5330 +
5331 +
5332 +
5333 +
5334 +
5335 +
5336 +
5337 +
5338   for ac_header in unistd.h sys/pstat.h sys/sysmp.h sys/sysinfo.h sys/table.h sys/param.h sys/sysctl.h sys/sytemcfg.h machine/hal_sysinfo.h
5339   do
5340   as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines